package routes

import (
	"nearle/facade"

	"github.com/gofiber/fiber/v2"
)

func RegisterCustomerRoutes(api fiber.Router, f *facade.Facade) {

	customer := api.Group("/v1/mob/customers")
	customer.Get("/getbyid", f.CustomerController.GetCustomer)
	customer.Put("/update", f.CustomerController.UpdateCustomer)
	customer.Get("/getcustomerlocation", f.CustomerController.GetCustomerLocations)
	customer.Post("/createlocations", f.CustomerController.CreateCustomerLocation)
	customer.Post("/createcustomerrequest", f.CustomerController.CreateCustomerRequest)
	customer.Get("/getcustomerrequests", f.CustomerController.GetCustomerRequests)
	customer.Get("/gettenantcustomers", f.CustomerController.GetTenantCustomers)
	customer.Get("/search", f.CustomerController.SearchCustomer)
	customer.Post("/login", f.CustomerController.CustomerLogin)
	customer.Post("/create", f.CustomerController.CreateCustomer)

	
	customer = api.Group("/v1/web/customers")
	customer.Get("/gettenantcustomers", f.CustomerController.GetTenantCustomers)

}
